Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87805 - rpm segfaults when installing RPMs
Summary: rpm segfaults when installing RPMs
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 19:17 UTC by Chris Ricker
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 16:37:30 UTC


Attachments (Terms of Use)
strace of rpm segfaulting (deleted)
2003-04-02 19:19 UTC, Chris Ricker
no flags Details

Description Chris Ricker 2003-04-02 19:17:52 UTC
This is on a fresh everything install of RHL 9, + Jakub's potential glibc errata
(glibc-2.3.2-22.9)

When I try to install wine RPMs (wine- and wine-devel-20020605-2.i386.rpm from
RHL 8.0, rebuilt on RHL 9), I get a segmentation fault

As a starting place, I'll attach the strace.  The RPMs are probably too big to
attach, but I can put 'em on the web if you'd like to download them

Comment 1 Chris Ricker 2003-04-02 19:19:50 UTC
Created attachment 90848 [details]
strace of rpm segfaulting

Comment 2 Jeff Johnson 2003-04-02 23:41:27 UTC
I can't tell much from the strace, other than that you
are segfaulting soon after trying to retrieve a public key
to verify a package.

Some mixture of the following usually fixes:
    a) rm -f /var/lib/rpm/__db*
    a) rpm --rebuilddb -vv
    b) erasing and reimporting the public key

SO which of those fixed the problem?

If not fixed, please include output of whatever
operation is segfaulting with -vv added.

Comment 3 Chris Ricker 2003-04-03 16:16:01 UTC
rpmdb --rebuilddb (which I did for other reasons; see Bug 87812) seems to have
fixed this....

Comment 4 Chris Ricker 2003-04-03 16:17:17 UTC
Oh, I actually did both (a) and (b)

rm -f /var/lib/rpm/__db*
rpmdb --rebuilddb

Comment 5 Jeff Johnson 2003-04-03 16:37:30 UTC
OK, looks solved.


Note You need to log in before you can comment on or make changes to this bug.